Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface AnyDocument.Any

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `Wildcard`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `AnyDocumentImpl.AnyImpl`
  Enclosing interface:
    AnyDocument

      public static interface AnyDocument.Any
      extends Wildcard

  An XML any(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Wildcard

      `Wildcard.ProcessContents`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<AnyDocument.Any>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getMaxOccurs()` | Gets the "maxOccurs" attribute
    `BigInteger` | `getMinOccurs()` | Gets the "minOccurs" attribute
    `boolean` | `isSetMaxOccurs()` | True if has "maxOccurs" attribute
    `boolean` | `isSetMinOccurs()` | True if has "minOccurs" attribute
    `void` | `setMaxOccurs​(Object maxOccurs)` | Sets the "maxOccurs" attribute
    `void` | `setMinOccurs​(BigInteger minOccurs)` | Sets the "minOccurs" attribute
    `void` | `unsetMaxOccurs()` | Unsets the "maxOccurs" attribute
    `void` | `unsetMinOccurs()` | Unsets the "minOccurs" attribute
    `AllNNI` | `xgetMaxOccurs()` | Gets (as xml) the "maxOccurs" attribute
    `XmlNonNegativeInteger` | `xgetMinOccurs()` | Gets (as xml) the "minOccurs" attribute
    `void` | `xsetMaxOccurs​(AllNNI maxOccurs)` | Sets (as xml) the "maxOccurs" attribute
    `void` | `xsetMinOccurs​(XmlNonNegativeInteger minOccurs)` | Sets (as xml) the "minOccurs" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Wildcard

      `getNamespace, getProcessContents, isSetNamespace, isSetProcessContents, setNamespace, setProcessContents, unsetNamespace, unsetProcessContents, xgetNamespace, xgetProcessContents, xsetNamespace, xsetProcessContents`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<AnyDocument.Any> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getMinOccurs

          BigInteger getMinOccurs()

      Gets the "minOccurs" attribute

    - #### xgetMinOccurs

          XmlNonNegativeInteger xgetMinOccurs()

      Gets (as xml) the "minOccurs" attribute

    - #### isSetMinOccurs

          boolean isSetMinOccurs()

      True if has "minOccurs" attribute

    - #### setMinOccurs

          void setMinOccurs​(BigInteger minOccurs)

      Sets the "minOccurs" attribute

    - #### xsetMinOccurs

          void xsetMinOccurs​(XmlNonNegativeInteger minOccurs)

      Sets (as xml) the "minOccurs" attribute

    - #### unsetMinOccurs

          void unsetMinOccurs()

      Unsets the "minOccurs" attribute

    - #### getMaxOccurs

          Object getMaxOccurs()

      Gets the "maxOccurs" attribute

    - #### xgetMaxOccurs

          AllNNI xgetMaxOccurs()

      Gets (as xml) the "maxOccurs" attribute

    - #### isSetMaxOccurs

          boolean isSetMaxOccurs()

      True if has "maxOccurs" attribute

    - #### setMaxOccurs

          void setMaxOccurs​(Object maxOccurs)

      Sets the "maxOccurs" attribute

    - #### xsetMaxOccurs

          void xsetMaxOccurs​(AllNNI maxOccurs)

      Sets (as xml) the "maxOccurs" attribute

    - #### unsetMaxOccurs

          void unsetMaxOccurs()

      Unsets the "maxOccurs" attribute